CatalogChannels
Change publications
Publishes, pauses, retries or sends the selected products or listings on one or more channels and returns each result.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.ecomiq.pe/api/v1/channels/publications" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "action": "publish", "channelIds": [ "7204558912004329619" ], "selection": { "productIds": [ "7204558912004322039" ], "listingIds": [ "7204558912004321492" ], "states": [ "published" ] }, "requestId": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821", "preview": false }'{ "requestId": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821", "queued": 1, "published": 1, "paused": 1, "skipped": 1, "items": [ { "channelId": "7204558912004329619", "productId": "7204558912004322039", "listingId": "7204558912004321492", "status": "queued", "code": "POL-001" } ], "skips": [ { "status": "queued", "code": "POL-001", "count": 24 } ]}